{"components":{"schemas":{"Message":{"properties":{"message_body":{"example":"Join my telegram group @spamgroup","type":"string"}},"required":["message_body"],"type":"object"},"SpamCheckPayloadv2":{"properties":{"entity_count":{"example":3,"type":"integer"},"entity_types":{"items":{"type":"string"},"type":"array"},"message_body":{"example":"Join my telegram group @spamgroup","type":"string"},"message_count":{"example":100,"type":"integer"},"message_type":{"example":"forwarded","type":"string"},"seconds_since_user_joined":{"example":5.23,"type":"number"},"sender_telegram_id":{"example":12098109283,"type":"integer"}},"required":["entity_count","message_body","message_count","message_type","seconds_since_user_joined","sender_telegram_id"],"type":"object"},"Spamscore":{"example":{"spamscore":2.5},"properties":{"spamscore":{"example":2.5,"type":"number"}},"required":["spamscore"],"type":"object"}}},"info":{"contact":{"email":"shiva@chainfuel.com"},"description":"Chainfuel's spam detection API for Telegram messages","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"title":"Chainfuel Spam Detector","version":"1.0.0"},"openapi":"3.0.0","paths":{"/checkspam":{"post":{"description":"Adds an item to the system","operationId":"checkspam","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Message"}}},"description":"Contents of the message to check"},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Spamscore"}}},"description":"Likelihood that the message is spam"},"400":{"description":"invalid input, object invalid"}},"summary":"Get the likelihood that a message is spam","tags":["Spam-Detection"],"x-openapi-router-controller":"swagger_server.controllers.spam_detection_controller"}},"/checkspamv2":{"post":{"description":"Adds an item to the system","operationId":"checkspamv2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpamCheckPayloadv2"}}},"description":"Contents of the message to check"},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Spamscore"}}},"description":"Likelihood that the message is spam"},"400":{"description":"invalid input, object invalid"}},"summary":"Get the likelihood that a message is spam","tags":["Spam-Detection"],"x-openapi-router-controller":"swagger_server.controllers.spam_detection_controller"}}},"servers":[{"url":"/v1"}],"tags":[{"name":"Spam-Detection"}]}
